<?php

namespace App\Imports;

use App\Models\Dataset\DatasetTable31;
use Maatwebsite\Excel\Concerns\ToModel;
use Maatwebsite\Excel\Concerns\WithStartRow;

class DatasetTable31Import implements ToModel,WithStartRow
{
    /**
    * @param array $row
    *
    * @return \Illuminate\Database\Eloquent\Model|null
    */
    protected $datasetId;
protected $userId;

    public function __construct($datasetId,$userId)
    {
        $this->datasetId = $datasetId;
        $this->userId = $userId;
    }

public function startRow(): int
    {
        return 6;
    }

public function model(array $row)
    {

// cek kalau row kosong jangan insert
        if ($row[0] === null && $row[1] === null && $row[2] === null && $row[3] === null && $row[4] === null && $row[5] === null && $row[6] === null && $row[7] === null) {
            return null; // baris kosong dilewati
        }
        return new DatasetTable31([
            'dataset_id'           => $this->datasetId,
            'created_by'           => $this->userId,
            'kabupaten_kota'       => $row[1],
            'jumlah_kk'            => $row[2],
            'sendiri'              => $row[3],
            'bersama'              => $row[4],
            'umum'                 => $row[5],
            'tidak_menggunakan'    => $row[6],
            'tidak_ada_fasilitas'  => $row[7],
        ]);
    }
}
